Skip to content
Start here

Delete a single application by id

client.containers.applications.delete(stringapplicationID, ApplicationDeleteParams { account_id } params, RequestOptionsoptions?): ApplicationDeleteResponse { message }
DELETE/accounts/{account_id}/containers/applications/{application_id}

Deletes a single application by id.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers Containers Write
ParametersExpand Collapse
applicationID: string

An Application ID represents an identifier of an application.

params: ApplicationDeleteParams { account_id }
account_id: string

Account identifier.

ReturnsExpand Collapse
ApplicationDeleteResponse { message }

Result of starting asynchronous deletion for a Containers application.

message: string

Delete a single application by id

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const application = await client.containers.applications.delete('application_id', {
  account_id: 'account-123',
});

console.log(application.message);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "message": "message"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "message": "message"
  },
  "success": true
}